# -*- encoding: utf-8 -*-
# stub: pairing_heap 3.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "pairing_heap".freeze
  s.version = "3.1.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "documentation_uri" => "https://rubydoc.info/gems/pairing_heap", "homepage_uri" => "https://github.com/mhib/pairing_heap", "rubygems_mfa_required" => "true", "source_code_uri" => "https://github.com/mhib/pairing_heap" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Marcin Henryk Bartkowiak".freeze]
  s.bindir = "exe".freeze
  s.date = "2024-02-11"
  s.description = "Performant priority queue in pure ruby with support for changing priority using pairing heap data structure".freeze
  s.email = ["mhbartkowiak@gmail.com".freeze]
  s.homepage = "https://github.com/mhib/pairing_heap".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.5.22".freeze
  s.summary = "Performant priority queue in pure ruby with support for changing priority".freeze

  s.installed_by_version = "3.5.22".freeze

  s.specification_version = 4

  s.add_development_dependency(%q<minitest>.freeze, ["~> 5.21".freeze])
  s.add_development_dependency(%q<rake>.freeze, ["~> 13.0".freeze])
  s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.22.0".freeze])
  s.add_development_dependency(%q<standard>.freeze, ["~> 1.31".freeze])
end
